package com.sptg.third.biz.qinlin.controller.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.common.core.beans.ResultEnum;
import com.sptg.third.api.entity.qinlin.QLinApiLog;
import com.sptg.third.biz.mapper.qinlin.QLinApiLogMapper;
import com.sptg.third.biz.qinlin.service.QLinApiLogServiceInterface;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author zwx
 * @create 2020/12/16 20:49
 */
@Service
@RequiredArgsConstructor
public class QLinApiLogServiceImpl extends ServiceImpl<QLinApiLogMapper, QLinApiLog> implements QLinApiLogServiceInterface {

    @Override
    public ResultBean<String> recordQinLinApiLog(QLinApiLog qLinApiLog) {
        boolean insert = this.insert(qLinApiLog);
        if(insert){
            return new ResultBean<>(ResultEnum.SUCCESS);
        }else{
            return new ResultBean<>(ResultEnum.ERROR);
        }

    }
}
